# Sanitizer_BatchMemopData Struct Reference
[Sanitizer Callback API]

Data passed into a batch memop callback function. More...

## Data Fields

uint64_t | address
CUcontext | context
Sanitizer_StreamHandle | hStream
CUstream | stream
Sanitizer_BatchMemopType | type
uint64_t | value

## Detailed Description

Data passed into a batch memop callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_BATCH_MEMOP. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_BatchMemopData::context

The context where the allocation is located